Get the alert types

Base URL
https://{kibana_url}
  • GET /api/alerts/alerts/list_alert_types
  • GET /s/{space_id}/api/alerts/alerts/list_alert_types
Auth Deprecated

Deprecated in 7.13.0. Use the get rule types API instead.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Responses

Indicates a successful call.

application/json
<array> object[]
authorizedConsumers object

The list of the plugins IDs that have access to the alert type.

defaultActionGroupId string

The default identifier for the alert type group.

enabledInLicense boolean

Indicates whether the rule type is enabled based on the subscription.

id string

The unique identifier for the alert type.

isExportable boolean

Indicates whether the alert type is exportable in Saved Objects Management UI.

minimumLicenseRequired string

The subscriptions required to use the alert type.

name string

The descriptive name of the alert type.

producer string

An identifier for the application that produces this alert type.

Base URL
https://{kibana_url}